/*
// Query code


// classify by dewey class

SELECT 
    a.dewey,
    AVG(CASE
        WHEN a.itemtype LIKE '%bk%' THEN a.length
        ELSE 0
    END) AS book
FROM
    (SELECT DISTINCT
        bibNumber,
            itemtype,
            FLOOR(deweyClass) AS dewey,
            LENGTH(title) AS length
    FROM
        spl_2016.inraw
    WHERE
        YEAR(cout) > 2005 AND YEAR(cout) < 2017
            AND FLOOR(deweyClass) != '') AS a
GROUP BY a.dewey;


// classify by dewey division

SELECT 
    a.dewey,
    AVG(CASE
        WHEN a.itemtype LIKE '%bk%' THEN a.length
        ELSE 0
    END) AS book
FROM
    (SELECT DISTINCT
        bibNumber,
            itemtype,
            FLOOR(deweyClass) AS dewey,
            LENGTH(title) AS length
    FROM
        spl_2016.inraw
    WHERE
        YEAR(cout) > 2005 AND YEAR(cout) < 2017
            AND FLOOR(deweyClass/10)*10 != '') AS a
GROUP BY a.dewey;


//classify by dewey section

SELECT 
    a.dewey,
    AVG(CASE
        WHEN a.itemtype LIKE '%bk%' THEN a.length
        ELSE 0
    END) AS book
FROM
    (SELECT DISTINCT
        bibNumber,
            itemtype,
            FLOOR(deweyClass) AS dewey,
            LENGTH(title) AS length
    FROM
        spl_2016.inraw
    WHERE
        YEAR(cout) > 2005 AND YEAR(cout) < 2017
            AND FLOOR(deweyClass/100)*100 != '') AS a
GROUP BY a.dewey;

*/